Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## UI.Run
Class GEVAGlobalStreamParser.Extension

    java.lang.Object
      UI.Run.GEVAStreamParser.Extension
          UI.Run.GEVAGlobalStreamParser.Extension

Enclosing class:
  GEVAGlobalStreamParser

    public class GEVAGlobalStreamParser.Extension

extends GEVAStreamParser.Extension

Hint to other parsers about when they should start parsing. This is an optimisation, which reduces the number of parsers working out what a line of text means, this parser works out what the line potentially means, and the other parsers can decide to run based on this

Constructor Summary
`GEVAGlobalStreamParser.Extension()`

Method Summary
`java.lang.Object` | `getData(int index)`
`int` | `getLength()`
`boolean` | `isConfigurationHint()` Returns true if the current Line is potentially parsable as a configuration line
`boolean` | `isDataHint()` Returns true if the current Line is potentially parsable as a data line
`boolean` | `isLabelHint()` Returns true if the current Line is potentially parsable as a label line
`void` | `setData(int index, java.lang.Object data)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GEVAGlobalStreamParser.Extension

    public GEVAGlobalStreamParser.Extension()

Method Detail

### isConfigurationHint

    public boolean isConfigurationHint()

  Returns true if the current Line is potentially parsable as a configuration line

### isLabelHint

    public boolean isLabelHint()

  Returns true if the current Line is potentially parsable as a label line

### isDataHint

    public boolean isDataHint()

  Returns true if the current Line is potentially parsable as a data line

### getData

    public java.lang.Object getData(int index)

  Specified by:
    `getData` in class `GEVAStreamParser.Extension`

### setData

    public void setData(int index,
                        java.lang.Object data)

  Specified by:
    `setData` in class `GEVAStreamParser.Extension`

### getLength

    public int getLength()

  Specified by:
    `getLength` in class `GEVAStreamParser.Extension`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD